import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';

import '../../../../res/app_colors.dart';


class BottomSheetIcon extends StatelessWidget {
  String title;
  Function() onTap;
  final String imageProvider;
  double? width;
  double? height;

  BottomSheetIcon(
      {super.key,
      required this.title,
      required this.imageProvider,
      required this.onTap,
      this.height,
      this.width});

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onTap,
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          SvgPicture.asset(
            imageProvider,
            width: width,
            height: height,
          ),
          const SizedBox(height: 3),
          Text(
            title,
            style: Theme.of(context)
                .textTheme
                .labelSmall!
                .copyWith(fontWeight: FontWeight.w500, color: AppColors.white),
          ),
        ],
      ),
    );
  }
}
